//
// BEGIN FLOCK GPL
// 
// Copyright Flock Inc. 2005-2006
// http://flock.com
// 
// This file may be used under the terms of of the
// GNU General Public License Version 2 or later (the "GPL"),
// http://www.gnu.org/licenses/gpl.html
// 
// Software distributed under the License is distributed on an "AS IS" basis,
// WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
// for the specific language governing rights and limitations under the
// License.
// 
// END FLOCK GPL
//

function fillFields() {
  if (window.arguments) {
    // Edit item
    $('note-help').setAttribute("collapsed", "true");
    $('note-content').value = window.arguments[1];
    $('note-type').value = window.arguments[2];
    $('note-url').value = window.arguments[3];
    if (window.arguments[2] == "note")
      $('urlbox').setAttribute("collapsed", "true");
  } else {
    // New note
    $('urlbox').setAttribute("collapsed", "true");
    $('typebox').setAttribute("collapsed", "true");
  }
  $('note-content').focus();
}

function save_note() {
   var content = $('note-content').value;
   var url = $('note-url').value;
   var type = $('note-type').value;

   if (window.arguments) {
      // Edit item
      var id = window.arguments[0];
      dump("Was editing."+content+"\n");
      flock.shelf.service.update(id, type, content.replace(/\n/g, ' '), content, url, content);
   } else {
      // New note
      dump("New note.\n");
      flock.shelf.service.insertOld('note', content.replace(/\n/g, ' '), content, '', content, -1);
   }
}


